Bug 180079 - ogg123 crashes arts on Ctrl-C
ogg123 crashes arts on Ctrl-C
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-05 09:56 EST by Ville Skyttä
Modified: 2011-06-02 15:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 15:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of the crash (7.64 KB, text/plain)
2006-02-05 09:56 EST, Ville Skyttä
no flags Details

  None (edit)
Description Ville Skyttä 2006-02-05 09:56:24 EST
ogg123 from vorbis-tools-1.1.1-1.1 crashes arts here always on Ctrl-C:

$ ogg123 -d arts foo.flac
Audio Device:   aRts output
Playing: [...]
[...]
Done.
pure virtual method called
terminate called without an active exception
Aborted (core dumped)

Other ogg123's output devices besides arts seem to work ok, no crash with
Ctrl-C.  Backtrace attached, dunno if it's libao, arts or ogg123 issue.
Comment 1 Ville Skyttä 2006-02-05 09:56:24 EST
Created attachment 124212 [details]
backtrace of the crash
Comment 2 Bug Zapper 2008-04-03 12:56:06 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Ville Skyttä 2008-04-03 17:38:52 EDT
Still happens with vorbis-tools-1.1.1.svn20070412-4.fc8.x86_64,
arts-1.5.9-1.fc8.x86_64

(Ccing arts co-maintainers)
Comment 4 Bug Zapper 2008-11-26 01:54:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ville Skyttä 2008-11-26 14:27:34 EST
Still happens with:
vorbis-tools-1.2.0-2.fc9.x86_64
arts-1.5.10-1.fc9.x86_64

(I used "ogg123 -d arts foo.flac" in F-9 KDE to try it out.)

It's been 2½ years since the initial report.  Any maintainers care to comment?  Let me know if you can't reproduce and need a backtrace.
Comment 6 Rex Dieter 2008-11-26 14:43:51 EST
upstream kde has finally acknowledged that arts is deprecated and unmaintained, and has started closing all arts-related bugs @ bugs.kde.org.  We should probably do the same.

That's not to say it's not worth fixing, esp if easy.  But if it were, it probably would have happened by now.
Comment 7 Kevin Kofler 2008-11-26 17:24:09 EST
We strongly recommend running PulseAudio as your primary sound server in Fedora 8 and higher. aRts is only there to make sound output from KDE 3 applications work. (KDE 3 system sounds can be configured to use something else, but some apps use aRts directly.)
Comment 8 Kevin Kofler 2008-11-26 17:31:40 EST
Maybe aRts support should be simply dropped from libao if it doesn't work reliably?
Comment 9 Ville Skyttä 2008-11-27 02:02:05 EST
FWIW, I use direct ALSA wherever possible, just tried arts solely for the purpose of checking whether this crash still occurs.
Comment 10 Bug Zapper 2009-06-09 18:06:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 13:22:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Ville Skyttä 2009-07-14 13:59:46 EDT
Still crashes on F-10, reopening (comment 9 still applies).
Comment 13 Bug Zapper 2009-11-18 03:05:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Ville Skyttä 2009-11-18 17:14:56 EST
Comment 9 still applies on F-11.
Comment 15 Bug Zapper 2010-04-27 07:38:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Ville Skyttä 2010-04-27 12:24:27 EDT
Still happens in F-13.
Comment 17 Bug Zapper 2011-06-02 14:43:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Kevin Kofler 2011-06-02 15:10:57 EDT
Sorry, aRts is only provided to keep old KDE 3 apps running, chances that this will get fixed in aRts are very slim.

I'd suggest filing a bug against libao to drop aRts support if it isn't reliable.

Note You need to log in before you can comment on or make changes to this bug.